svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state#state
    transition(duration="250ms")
    property(name="range" min="0" max="100" type="number" initial="0")
      relation(query-selector='#text' from='0%' to='50%' onupdate='`value: ${$value} unit: ${$unit}`')
      relation(query-selector='#text2' from='0%' to='50%' onupdate='(value, unit) => value.toExponential(2)')
      // using non-interpolatable string list
      relation#relation3(query-selector='#text2' attribute-name='fill' values='"red";"green";"blue"')

  text#text(y='1em' fill='black')
  text#text2(y='2em' fill='black')
